"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PluginErrorBoundary = void 0;
var _element = require("@wordpress/element");
/**
 * WordPress dependencies
 */

class PluginErrorBoundary extends _element.Component {
  /**
   * @param {Object} props
   */
  constructor(props) {
    super(props);
    this.state = {
      hasError: false
    };
  }
  static getDerivedStateFromError() {
    return {
      hasError: true
    };
  }

  /**
   * @param {Error} error Error object passed by React.
   */
  componentDidCatch(error) {
    const {
      name,
      onError
    } = this.props;
    if (onError) {
      onError(name, error);
    }
  }
  render() {
    if (!this.state.hasError) {
      return this.props.children;
    }
    return null;
  }
}
exports.PluginErrorBoundary = PluginErrorBoundary;
//# sourceMappingURL=index.js.map